<template>
  <article class="view view--core-menu">
    <div class="list-group">
      <router-link v-for="route in routes" :key="route.name" class="list-group-item list-group-item-action" :to="route">
        <i aria-hidden="true" :class="`${route.meta.iconClass}`" v-if="route.meta.iconClass"></i>
        {{ route.meta.title }}
      </router-link>
    </div>
  </article>
</template>

<script>
import { computed } from 'vue'
import { useRoute, useRouter } from 'vue-router'
import RouteHelper from '../lib/route-helper.js'

export default {
  name: 'CoreMenuView',
  setup() {
    const route = useRoute()
    const router = useRouter()

    const routes = computed(() => {
      return RouteHelper.getSubMenu(router, route.name)
    })

    return {
      route,
      routes,
    }
  },
}
</script>
